Loading...
Searching...
No Matches
AVHDRVividColorTransformParams Struct Reference

Color transform parameters at a processing window in a dynamic metadata for CUVA 005.1:2021. More...

`#include <libavutil/hdr_dynamic_vivid_metadata.h>`

## Data Fields

AVRational | minimum_maxrgb
| Indicates the minimum brightness of the displayed content.
AVRational | average_maxrgb
| Indicates the average brightness of the displayed content.
AVRational | variance_maxrgb
| Indicates the variance brightness of the displayed content.
AVRational | maximum_maxrgb
| Indicates the maximum brightness of the displayed content.
int | tone_mapping_mode_flag
| This flag indicates that the metadata for the tone mapping function in the processing window is present (for value of 1).
int | tone_mapping_param_num
| The number of tone mapping param.
AVHDRVividColorToneMappingParams | tm_params [2]
| The color tone mapping parameters.
int | color_saturation_mapping_flag
| This flag indicates that the metadata for the color saturation mapping in the processing window is present (for value of 1).
int | color_saturation_num
| The number of color saturation param.
AVRational | color_saturation_gain [8]
| Indicates the color correction strength parameter.

## Detailed Description

Color transform parameters at a processing window in a dynamic metadata for CUVA 005.1:2021.

Definition at line 179 of file hdr_dynamic_vivid_metadata.h.

## Field Documentation

## minimum_maxrgb

AVRational AVHDRVividColorTransformParams::minimum_maxrgb

Indicates the minimum brightness of the displayed content.

The values should be in the range of 0.0 to 1.0, inclusive and in multiples of 1/4095.

Definition at line 185 of file hdr_dynamic_vivid_metadata.h.

## average_maxrgb

AVRational AVHDRVividColorTransformParams::average_maxrgb

Indicates the average brightness of the displayed content.

The values should be in the range of 0.0 to 1.0, inclusive and in multiples of 1/4095.

Definition at line 192 of file hdr_dynamic_vivid_metadata.h.

## variance_maxrgb

AVRational AVHDRVividColorTransformParams::variance_maxrgb

Indicates the variance brightness of the displayed content.

The values should be in the range of 0.0 to 1.0, inclusive and in multiples of 1/4095.

Definition at line 199 of file hdr_dynamic_vivid_metadata.h.

## maximum_maxrgb

AVRational AVHDRVividColorTransformParams::maximum_maxrgb

Indicates the maximum brightness of the displayed content.

The values should be in the range of 0.0 to 1.0, inclusive and in multiples of 1/4095.

Definition at line 206 of file hdr_dynamic_vivid_metadata.h.

## tone_mapping_mode_flag

int AVHDRVividColorTransformParams::tone_mapping_mode_flag

This flag indicates that the metadata for the tone mapping function in the processing window is present (for value of 1).

Definition at line 212 of file hdr_dynamic_vivid_metadata.h.

## tone_mapping_param_num

int AVHDRVividColorTransformParams::tone_mapping_param_num

The number of tone mapping param.

The value shall be in the range of 1 to 2, inclusive.

Definition at line 218 of file hdr_dynamic_vivid_metadata.h.

## tm_params

AVHDRVividColorToneMappingParams AVHDRVividColorTransformParams::tm_params[2]

The color tone mapping parameters.

Definition at line 223 of file hdr_dynamic_vivid_metadata.h.

## color_saturation_mapping_flag

int AVHDRVividColorTransformParams::color_saturation_mapping_flag

This flag indicates that the metadata for the color saturation mapping in the processing window is present (for value of 1).

Definition at line 229 of file hdr_dynamic_vivid_metadata.h.

## color_saturation_num

int AVHDRVividColorTransformParams::color_saturation_num

The number of color saturation param.

The value shall be in the range of 0 to 7, inclusive.

Definition at line 235 of file hdr_dynamic_vivid_metadata.h.

## color_saturation_gain

AVRational AVHDRVividColorTransformParams::color_saturation_gain[8]

Indicates the color correction strength parameter.

The values should be in the range of 0.0 to 2.0, inclusive and in multiples of 1/128.

Definition at line 242 of file hdr_dynamic_vivid_metadata.h.

The documentation for this struct was generated from the following file:

- libavutil/hdr_dynamic_vivid_metadata.h